<section id="contentForm">
  <form name="registerForm" class="login" ng-submit="registerForm.$valid && register()" novalidate>
    <h1>Registrarse</h1>
    <div class="padding-10">
      <label for="name">Nombre: </label>
      <input type="text" name="name" ng-model="employee.name" placeholder="&#9786;" required>
    </div>
    <div class="padding-10">
      <label for="email">Email: </label>
      <input type="email" name="email" ng-model="employee.email" placeholder="&#64;" required>
    </div>
    <div class="padding-10">
      <label for="password">
        Contraseña:
        <span class="green-like" ng-show="!registerForm.password.$error.required &&
                       !registerForm.password.$error.minlength &&
                       registerForm.password.$error.pattern">Debe contener una letra mayúscula y minúscula, y un número o símbolo.</span>
        <span class="green-like" ng-show="!registerForm.password.$error.required  && registerForm.password.$error.minlength">La contraseña debe tener mínimo 8 caracteres.</span>
      </label>
      <input id="password" type="password" name="password" ng-minlength="8" ng-pattern="/(?=.*[a-z])(?=.*[A-Z])(?=.*[^a-zA-Z])/" placeholder="&#9000;" ng-model="employee.password" required>
    </div>
    <div class="padding-10">
      <input type="submit" name="login" value="Registrar">
    </div>
    <div class="text-center padding-10">
      <a ng-click="loginForm()">Iniciar cuenta</a>
    </div>
  </form>
</section>
